RDKit: ForceFields::MMFF::BondStretchContrib Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ForceFields::MMFF::BondStretchContrib Class Reference

The bond-stretch term for MMFF. More...

`#include <BondStretch.h>`

Inheritance diagram for ForceFields::MMFF::BondStretchContrib:

## Public Member Functions
| BondStretchContrib ()
| BondStretchContrib (ForceField *owner)
| Constructor.
void | addTerm (const unsigned int idx1, const unsigned int idx2, const MMFFBond *mmffBondParams)
double | getEnergy (double *pos) const override
| returns our contribution to the energy of a position
void | getGrad (double *pos, double *grad) const override
| calculates our contribution to the gradients of a position
BondStretchContrib * | copy () const override
| return a copy
Public Member Functions inherited from ForceFields::ForceFieldContrib
| ForceFieldContrib ()
| ForceFieldContrib (ForceFields::ForceField *owner)
virtual | ~ForceFieldContrib ()

## Additional Inherited Members
Protected Attributes inherited from ForceFields::ForceFieldContrib
ForceField * | dp_forceField {nullptr}
| our owning ForceField

## Detailed Description

The bond-stretch term for MMFF.

Definition at line 22 of file MMFF/BondStretch.h.

## Constructor & Destructor Documentation

## ◆ BondStretchContrib() [1/2]

ForceFields::MMFF::BondStretchContrib::BondStretchContrib | ( |  | ) |
| inline

Definition at line 24 of file MMFF/BondStretch.h.

Referenced by copy().

## ◆ BondStretchContrib() [2/2]

ForceFields::MMFF::BondStretchContrib::BondStretchContrib | ( | ForceField * | owner | ) |

Constructor.

References ForceFields::ForceFieldContrib::ForceField.

## Member Function Documentation

## ◆ addTerm()

void ForceFields::MMFF::BondStretchContrib::addTerm | ( | const unsigned int | idx1,
|  | const unsigned int | idx2,
|  | const MMFFBond * | mmffBondParams )

Adds a bond stretch to the contrib

Parameters

  idx1 | index of end1 in the ForceField's positions
  idx2 | index of end2 in the ForceField's positions
  bondType | MMFF94 type of the bond (as an unsigned int)
  end1Params | pointer to the parameters for end1
  end2Params | pointer to the parameters for end2

## ◆ copy()

BondStretchContrib * ForceFields::MMFF::BondStretchContrib::copy | ( |  | ) | const
| inlineoverridevirtual

return a copy

Implements ForceFields::ForceFieldContrib.

Definition at line 43 of file MMFF/BondStretch.h.

References BondStretchContrib().

## ◆ getEnergy()

double ForceFields::MMFF::BondStretchContrib::getEnergy | ( | double * | pos | ) | const
| overridevirtual

returns our contribution to the energy of a position

Implements ForceFields::ForceFieldContrib.

## ◆ getGrad()

void ForceFields::MMFF::BondStretchContrib::getGrad | ( | double * | pos,
|  | double * | grad ) const
| overridevirtual

calculates our contribution to the gradients of a position

Implements ForceFields::ForceFieldContrib.

The documentation for this class was generated from the following file:

- MMFF/BondStretch.h